"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const pino_abstract_transport_1 = __importDefault(require("pino-abstract-transport"));
const datadog_api_client_1 = require("@datadog/datadog-api-client");
const process_logs_1 = require("./process-logs");
module.exports = function (options) {
    const configuration = datadog_api_client_1.client.createConfiguration(options.ddClientConf);
    datadog_api_client_1.client.setServerVariables(configuration, options?.ddServerConf || {});
    const apiInstance = new datadog_api_client_1.v2.LogsApi(configuration);
    return (0, pino_abstract_transport_1.default)((0, process_logs_1.processLogBuilder)(options, apiInstance));
};
//# sourceMappingURL=index.js.map